Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezcalendar/admin/typeedit.php File Reference

Go to the source code of this file.

## Variables
if(isset( $Cancel)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZCalendarMain", "Language" )
| $LanguageIni = new eZINI( "kernel/ezcalendar/admin/intl/" . $Language . "/typeedit.php.ini", false )
if(isset( $Action) && $Action=="Insert") if(isset( $Action) && $Action=="Update") if(isset( $Action) && $Action=="Delete") | $t
if( $Action=="Edit") | else
| $typeList = $type->getTree()

## Variable Documentation

## ◆ $ini

if (isset($Cancel)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file ezcalendar/admin/typeedit.php.

## ◆ $Language

$Language = $ini->variable( "eZCalendarMain", "Language" )

Definition at line 39 of file ezcalendar/admin/typeedit.php.

## ◆ $LanguageIni

$LanguageIni = new eZINI( "kernel/ezcalendar/admin/intl/" . $Language . "/typeedit.php.ini", false )

Definition at line 40 of file ezcalendar/admin/typeedit.php.

## ◆ $t

if (isset($Action) &&$Action=="Insert") if (isset($Action) &&$Action=="Update") if (isset($Action) &&$Action=="Delete") $t

Initial value:
= new eZTemplate( "kernel/ezcalendar/admin/" . $ini->variable( "eZCalendarMain", "AdminTemplateDir" ),
"kernel/ezcalendar/admin/intl/", $Language, "typeedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Cancel)) $ini
Definition: ezcalendar/admin/typeedit.php:38
$Language
$Language
Definition: ezcalendar/admin/typeedit.php:39

Definition at line 98 of file ezcalendar/admin/typeedit.php.

## ◆ $typeList

$typeList = $type->getTree()

Definition at line 120 of file ezcalendar/admin/typeedit.php.

## ◆ else

foreach ($typeList as $typeSubList) if ($Action=="Edit") else

Initial value:
{
$type = new eZAppointmentType()
eZAppointmentType
Definition: ezappointmenttype.php:42
$type
$type
Definition: classes/admin/linkselect.php:220

Definition at line 115 of file ezcalendar/admin/typeedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.